Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1823864 - "fwsetup" missing when trying to enter System setup from boot menu
Summary: "fwsetup" missing when trying to enter System setup from boot menu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: rawhide
Hardware: aarch64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Javier Martinez Canillas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2020-04-14 16:27 UTC by Clayton Workman
Modified: 2021-07-06 09:54 UTC (History)
4 users (show)

Fixed In Version: grub2-2.06-3.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-06 09:54:04 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
error message when selecting "System setup" from boot menu (deleted)
2020-04-14 16:27 UTC, Clayton Workman
no flags Details

Description Clayton Workman 2020-04-14 16:27:02 UTC
Created attachment 1678736 [details]
error message when selecting "System setup" from boot menu

Description of problem:
System setup in boot screen gives error:
error: ../../grub-core/script/function.c:109:can't find command `fwsetup'.

Version-Release number of selected component (if applicable):
Fedora 32.20200413.0

How reproducible:
100% of the time

Steps to Reproduce:
1. boot into boot screen
2. choose System Setup
3. get error message

Actual results:
Received error described above.

Expected results:
Expect to see setup screen to setup root password and user. (Otherwise, can't login as root at prompt.)

Additional info:
This is through serial console.

Comment 1 Javier Martinez Canillas 2020-04-15 17:46:05 UTC
I see that GRUB only registers the fwsetup command if an OsIndicationsSupported efi var is found.

Do you have a /sys/firmware/efi/efivars/OsIndicationsSupported-8be4df61-93ca-11d2-aa0d-00e098032b8c in your machine?

Comment 2 Clayton Workman 2020-04-15 19:08:42 UTC
(In reply to Javier Martinez Canillas from comment #1)
> I see that GRUB only registers the fwsetup command if an
> OsIndicationsSupported efi var is found.
> 
> Do you have a
> /sys/firmware/efi/efivars/OsIndicationsSupported-8be4df61-93ca-11d2-aa0d-
> 00e098032b8c in your machine?

I do not. This is on a Raspberry Pi 3b.
I got around this issue by removing the root password through arm-image-installer so that I could login on first boot and setup password and other user(s).

Comment 3 Javier Martinez Canillas 2020-04-15 22:55:07 UTC
(In reply to Clayton Workman from comment #2)
> (In reply to Javier Martinez Canillas from comment #1)
> > I see that GRUB only registers the fwsetup command if an
> > OsIndicationsSupported efi var is found.
> > 
> > Do you have a
> > /sys/firmware/efi/efivars/OsIndicationsSupported-8be4df61-93ca-11d2-aa0d-
> > 00e098032b8c in your machine?
> 
> I do not. This is on a Raspberry Pi 3b.

I see. So if that variable isn't present then you can re-generate your config file with 'grub2-mkconfig -o /boot/efi/EFI/fedora/grub.cfg' to avoid having the "System setup" entry in the GRUB menu.

> I got around this issue by removing the root password through
> arm-image-installer so that I could login on first boot and setup password
> and other user(s).

Sorry but I'm not sure to understand how this is related with the issue you had about GRUB having a non-working "System setup" entry due the fwsetup command not being registered.

Comment 4 Clayton Workman 2020-04-16 12:48:54 UTC
It's only related in that I couldn't login to the rpi3 because I couldn't run the system setup to set a root password or setup a user. By removing the root password during image burn to the flash card, I was able to login without the system setup.

Some of this may be user error on my part as this is the first time I've used Fedora-IoT on the rpi3.

Thanks.

Comment 5 Javier Martinez Canillas 2020-04-16 14:09:01 UTC
(In reply to Clayton Workman from comment #4)
> It's only related in that I couldn't login to the rpi3 because I couldn't
> run the system setup to set a root password or setup a user. By removing the
> root password during image burn to the flash card, I was able to login
> without the system setup.
> 
> Some of this may be user error on my part as this is the first time I've
> used Fedora-IoT on the rpi3.
> 
> Thanks.

Ah, I see the source of confusion now. The "System setup" entry is to reboot the machine into the EFI firmware settings, but since for the rpi3 a real EFI firmware is not used by instead an EFI stub implemented in the u-boot bootloader, this option seem to not exist.

In other words, it is not an option to setup user and passwords but to change firmware settings. In recent GRUB versions this was renamed to "UEFI Firmware Settings" to make this more clear.

We should probably cherry-pick that change in Fedora as well to avoid confusion.

Comment 6 Fedora Program Management 2021-04-29 16:47:57 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora Update System 2021-07-06 09:50:05 UTC
FEDORA-2021-21ed0c951f has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-21ed0c951f

Comment 8 Fedora Update System 2021-07-06 09:54:04 UTC
FEDORA-2021-21ed0c951f has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.